require 'nokogiri'
require 'open-uri'

module CatClaw
  class RubyChinaCat
    KEYWORD = "远程"
    attr_accessor :footprint
    def initialize
      @base_url = "https://ruby-china.org"
      @footprint = {
        source: "RubyChina",
        jobs: [],
      }
    end

    def paw
      3.times do |i|
        whisper (i+1)
      end
      @footprint
    end

    private
    def whisper page
      puts 'opening URI ... ruby-china'
      url = @base_url + "/jobs?page=" + page.to_s
      doc = Nokogiri::HTML(open(url))
      topics = doc.css(".topic .infos .title a")
      topics.each do |t|
        if t.text.match KEYWORD
          url = @base_url + t.attr("href")
          doc = Nokogiri::HTML(open(url))
          #binding.pry
          title = doc.css(".entry-title").text
          content = doc.css(".entry-content").text
          @footprint[:jobs] << {
            url: url,
            title: title,
            content: content,
            scope: "China",
            job_type: "developer",
          }
          #p url
          #p title
          #p content
          #p "---"
        end
      end
    end

  end
end
