require 'nokogiri'
require 'open-uri'

module CatClaw
  class StackOverFlowCat
    attr_accessor :footprint
    def initialize
      @base_url = "http://careers.stackoverflow.com"
      @footprint = {
        source: "RubyChina",
        jobs: [],
      }
    end

    def paw
      whisper
      @footprint
    end

    private
    def whisper
      puts 'opening URI ... stackoverflow'
      url = @base_url + "/jobs/remote"
      doc = Nokogiri::HTML(open(url))
      topics = doc.css(".jobs div h3 a")
      topics.each do |t|
        url = @base_url + t.attr("href")
        doc = Nokogiri::HTML(open(url))
        title = doc.css(".jobdetail div h1 a").text
        content = doc.css(".description").text
        @footprint[:jobs] << {
          url: url,
          title: title,
          content: content,
          scope: "World",
          job_type: "developer",
        }
      end
    end

  end
end

