require 'nokogiri'
require 'open-uri'

module CatClaw
  class V2EXCat
    KEYWORD = "远程"
    attr_accessor :footprint
    def initialize
      @base_url = "http://v2ex.com"
      @footprint = {
        source: "V2EX",
        jobs: [],
      }
    end

    def paw
      3.times do |i|
        whisper (i+1)
      end
      @footprint
    end

    private
    def whisper page
      puts 'opening URI ... v2ex'
      url = @base_url + "/go/jobs?p=" + page.to_s
      doc = Nokogiri::HTML(open(url))
      topics = doc.css(".item_title a")
      topics.each do |t|
        if t.text.match KEYWORD
          url = @base_url + t.attr("href")
          doc = Nokogiri::HTML(open(url))
          title = doc.css(".header h1").text
          content = doc.css(".topic_content").text
          @footprint[:jobs] << {
            url: url,
            title: title,
            content: content,
            scope: "China",
            job_type: "developer",
          }
          #p url
          #p title
          #p content
          #p "---"
        end
      end
    end

  end
end

